DRM_PROPERTY_ADD_ENU(9)

NAME
drm_property_add_enum - add a possible value to an enumeration property

SYNOPSIS

int drm_property_add_enum(struct drm_property * property, int index, uint64_t value, const char * name);

ARGUMENTS

property
    enumeration property to change

index
    index of the new enumeration

value
    value of the new enumeration

name
    symbolic name of the new enumeration

DESCRIPTION

This functions adds enumerations to a property.

It's use is deprecated, drivers should use one of the more specific helpers to directly create the property with all enumerations already attached.

RETURNS

Zero on success, error code on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT